dti.py

An async API wrapper for Dress To Impress written in Python.

Some notes:

  • For the time being, there are no front-facing docs for this beyond docstrings in the code itself
  • Breaking changes are very likely to happen until this lib + DTI2020 are considered stable

Installing

Python 3.7 or higher is suggested

This project will likely never be put on PyPI, so you'll have to install the development version, from this repo.

python -m pip install -U git+https://github.com/diceroll123/dti.py

Alternatively,

$ git clone https://github.com/diceroll123/dti.py
$ cd dti.py
$ python -m pip install -U .

Examples

Since there is no obvious "first thing to do" with this library, simply refer to the examples folder for all examples.

GitHub

https://github.com/diceroll123/dti.py